Send security evidence to a destination (browser session)
import requests
url = "https://platform.ankra.app/org/security/evidence/deliveries"
payload = { "destination_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({destination_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://platform.ankra.app/org/security/evidence/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/org/security/evidence/deliveries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"destination_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"attempts": 123,
"complete": true,
"created_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"destination_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"framework": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_error": "<string>",
"last_error_class": "<string>",
"next_attempt_at": "2023-11-07T05:31:56Z",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payload_sha256": "<string>",
"period": "<string>",
"receipt": {},
"requested_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"submitted_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Security
Send security evidence to a destination (browser session)
Captures one bounded snapshot (the framework report if requested, and the SBOM image inventory KEV first, at most 2,000 images) and records it in the outbox, due now. A disabled framework or unrecorded month is refused.
POST
/
org
/
security
/
evidence
/
deliveries
Send security evidence to a destination (browser session)
import requests
url = "https://platform.ankra.app/org/security/evidence/deliveries"
payload = { "destination_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({destination_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://platform.ankra.app/org/security/evidence/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/org/security/evidence/deliveries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"destination_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"attempts": 123,
"complete": true,
"created_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"destination_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"framework": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_error": "<string>",
"last_error_class": "<string>",
"next_attempt_at": "2023-11-07T05:31:56Z",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payload_sha256": "<string>",
"period": "<string>",
"receipt": {},
"requested_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"submitted_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful response
One evidence snapshot sent to one destination; its id is the stable event id. delivered is accepted transport, not a decoded or indexed event; uploaded is a Vanta draft until submitted; complete is false when the inventory exceeded the snapshot bound.
Available options:
pending, retrying, delivered, uploaded, submitted, failed, abandoned, cancelled